name: "Identify stale issues"
on:
  schedule:
  - cron: "15 4 * * 1,3,5"

jobs:
  stale:
    runs-on: ubuntu-latest
    permissions:
      issues: write
    steps:
    - uses: actions/stale@v9
      with:
        repo-token: ${{ secrets.GITHUB_TOKEN }}
        stale-issue-message: 'This issue has been open one year with no activity and without being identified as a bug. Consequently, it is being marked with the "stale" label to see if anyone has comments that provide new information on the issue. Is the issue still reproducible? Did it appear in other contexts? How critical is it? Did you miss this feature in a new setting? etc. Note that the issue will *not* be closed in the absence of new activity: the "stale" label is only used for triaging reason.'
        days-before-stale: 366
        days-before-close: -1
        exempt-issue-labels: 'bug'
